Woo's Bog
记录朝花夕拾的日子

centos7.2搭建lamp(Apache+PHP+Mysql环境)

由于安全原因。更多的网站服务器是选择了Linux系统,在服务器上比较推荐centos,特别对于新手,首选CentOS,并不是centos比Debian和ubuntu好,而是centos是初学者安装vps的首选,它既稳定,占用资源又少此版本生命周期较长,而且网上有关centos的教程很多,方便学习,我这里选择了Centos7.2,采用yum在线安装。

、 检查系统环境

1、确认centos版本

2、检查是否安装过apache

或者:

或者:

3、检查是否安装过Mysql

如果未被识别则没有安装
如果系统安装过,或者安装失败,清理一下系统
5、清理Mysql痕迹

6、卸载Apache包

注意:如果是新的系统或者你从来没有尝试安装过,则以上步骤省略。

、安装Apache、PHP、Mysql

1、安装apache

直到返回

表示安装成功!
2、安装Php(5.4版本)

直到返回:

或安装PHP7.0版本

一路“y”
最后成功返回:

3、安装php-fpm(php 5.4版本使用如下命令)

直到返回:

php 7.0版本使用如下命令安装php-fpm

4、安装Mysql

直到返回:

7.2版本的Centos已经把mysql更名为mariadb,表示安装成功!

5、安装 mysql-server

返回错误!!!
分析解决方案
CentOS 7+ 版本将MySQL数据库软件从默认的程序列表中移除,用mariadb代替了,entos7配置教程上,大多都是安装mariadb,因为centos7默认将mariadb视作mysql
因为mysqloracle收购后,原作者担心mysql闭源,所以又写了一个mariadb,这个数据库可以理解为mysql的分支。如果需要安装mariadb,只需通过yum就可。

有两种解决方案:

一是安装mariadb

二是从官网下载mysql-server

采用第二种方案:

然后需要确定,输入y回车即可

一直选择输入 y ,有两次选择,直到返回:

安装成功!!!
6、安装 php-mysql(php 5.4使用如下命令安装)

直到返回:

安装成功!!!

php7.0版本使用如下命令安装Mysqlnd

三、安装基本常用扩展包

1、安装Apache扩展包

返回

安装成功!!!
2、安装PHP扩展包(php 5.4使用如下命令安装)

返回:

安装成功!!!

php7.0版本使用如下命令安装扩展包

3、安装Mysql扩展包

返回:

安装成功!!!

四、配置Apache、mysql开机启动

重启Apache、mysql服务(注意这里和centos6有区别,Cenots7+不能使用6的方式)

如果是采用方法一安装的mariadb,安装完成以后使用下面的命令开启数据库服务:

重启对应服务

五、配置Mysql

初次安装mysql是没有密码的,我们要设置密码,mysql的默认账户为root

设置 MySQL 数据 root 账户的密码:

当出现如下提示时候直接按回车:

出现如下再次回车:

出现如下提示输入你需要设置的密码,这里输入了root,输入密码是不显示的,回车后再输入一次确认:

接下来还会有四个确认,分别是:

直接回车即可。

六、测试环境

1、我们在浏览器地址栏输入http://localhost/,出现测试页面。说明我们的apache测试成功

2、测试Php
进入apache的web根目录:/var/www/html 中写一个最简单的php测试页面

进入到了控制模式之后按键盘字母 i 进入到编辑模式,将如下代码输入到文件中

esc 退出编辑模式,回到控制模式,输入 :wq 然后回车,在浏览器中输入服地址http://localhost/phpinfo-test.php出现PHP版本信息则成功。

七、小结

1、我们采用了yum在线安装,版本都是默认的Php是5.4,apache的版本是Server version: Apache/2.4.6 (CentOS)

2、要想安装更高版本的php 阅读:centos7.2yum安装php7.0 (本文章已包含php7.0内容,2018-9-25更新)

3、以上教程亲测完成成功,极力推荐,如果你在调试过程中出现问题,留言讨论,如有错误,敬请指教。

赞(2) 打赏
未经允许不得转载:Snow'Blog » centos7.2搭建lamp(Apache+PHP+Mysql环境)

评论 2

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #1

    腾讯云,阿里云测试通过。

    snow2个月前 (09-21)回复
  2. #2

    这个是比较成熟且稳定的版本,建议使用该LAMP组合。

    snow2个月前 (09-22)回复

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏